Subject: Re: How to bring up fs_enet on 2.6.27?

From: Mike Ditto <[email-masked]>
Date: Wed, 28 Jan 2009 17:16:23 -0800

Daniel Ng <[email-masked]> wrote:
> Should the device just be available as 'eth2', so that I can do
> 'ifconfig eth2 192.168.1.33'?

It will be eth0 if you have no other network devices.

>         // FCC2-
>         reg = <0x11320 0x20 0x8500 0x100 0x113b0 0x1>;
>         fsl,cpm-command = <0x12000300>;

That's not the right fsl,cpm-command for FCC2.  You want 0x16200300.

Also, for my similar board, I had to add (for immap at F0000000):
	virtual-reg = <0xF0011320
		       0xF0008500
		       0xF00113B0>;

But I can't explain why the driver isn't attaching for you.  Did you
try it built-in instead of as a module?

					-=] Mike [=-